import { h } from '@stencil/core';
import appConfigurationService from '../services/app-configuration.service';
import { OidcRoutes } from '../services/authentication.service';
export const buildOidcStencilRoutes = () => {
  const appRootUrl = appConfigurationService.getAppRootUrl(false);
  return [
    h("stencil-route", { url: `${appRootUrl}${OidcRoutes.SignIn}`, component: "ap-ben-oidc-callback-page", componentProps: { callbackMode: 'sign-in' } }),
    h("stencil-route", { url: `${appRootUrl}${OidcRoutes.SignOut}`, component: "ap-ben-oidc-callback-page", componentProps: { callbackMode: 'sign-out' } }),
    h("stencil-route", { url: `${appRootUrl}${OidcRoutes.SilentRefresh}`, component: "ap-ben-oidc-callback-page", componentProps: { callbackMode: 'silent-refresh' } })
  ];
};
